OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_CurveElementPurposeMember Class Reference

Representation of member for STEP SELECT type CurveElementPurpose
.

`#include <StepElement_CurveElementPurposeMember.hxx>`

Inheritance diagram for StepElement_CurveElementPurposeMember:

[legend]

## Public Member Functions
Standard_EXPORT | StepElement_CurveElementPurposeMember ()
| Empty constructor .
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Returns True if has name .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns set name .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Set name .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_CString name) const
| Tells if the name of a SelectMember matches a given one; .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | mycase

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_CurveElementPurposeMember::StepElement_CurveElementPurposeMember | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepElement_CurveElementPurposeMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepElement_CurveElementPurposeMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepElement_CurveElementPurposeMember::Matches | ( | const Standard_CString | name | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepElement_CurveElementPurposeMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepElement_CurveElementPurposeMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectNamed.

## Field Documentation

Standard_Integer StepElement_CurveElementPurposeMember::mycase`[private]`

The documentation for this class was generated from the following file:

- StepElement_CurveElementPurposeMember.hxx